aboutsummaryrefslogtreecommitdiffstats
path: root/devscripts
diff options
context:
space:
mode:
authorSergey M․ <dstftw@gmail.com>2016-05-29 23:36:42 +0700
committerSergey M․ <dstftw@gmail.com>2016-05-29 23:36:42 +0700
commit681b923b5ca04338dfacd4154f627255d6e27d3a (patch)
treee4f6dfa4e574cf121160f346d85334037928b4dd /devscripts
parent9ed6d8c6c5b0c7a411d6b97d269a3e786875d66a (diff)
downloadyoutube-dl-681b923b5ca04338dfacd4154f627255d6e27d3a.zip
youtube-dl-681b923b5ca04338dfacd4154f627255d6e27d3a.tar.gz
youtube-dl-681b923b5ca04338dfacd4154f627255d6e27d3a.tar.bz2
[devscripts/release.sh] Allow passing buildserver address as cli option
Diffstat (limited to 'devscripts')
-rwxr-xr-xdevscripts/release.sh28
1 files changed, 23 insertions, 5 deletions
diff --git a/devscripts/release.sh b/devscripts/release.sh
index c34567f..cde4d0a 100755
--- a/devscripts/release.sh
+++ b/devscripts/release.sh
@@ -15,10 +15,28 @@
set -e
skip_tests=true
-if [ "$1" = '--run-tests' ]; then
- skip_tests=false
- shift
-fi
+buildserver='localhost:8142'
+
+while true
+do
+case "$1" in
+ --run-tests)
+ skip_tests=false
+ shift
+ ;;
+ --buildserver)
+ buildserver="$2"
+ shift 2
+ ;;
+ --*)
+ echo "ERROR: unknown option $1"
+ exit 1
+ ;;
+ *)
+ break
+ ;;
+esac
+done
if [ -z "$1" ]; then echo "ERROR: specify version number like this: $0 1994.09.06"; exit 1; fi
version="$1"
@@ -67,7 +85,7 @@ git push origin "$version"
REV=$(git rev-parse HEAD)
make youtube-dl youtube-dl.tar.gz
read -p "VM running? (y/n) " -n 1
-wget "http://localhost:8142/build/rg3/youtube-dl/youtube-dl.exe?rev=$REV" -O youtube-dl.exe
+wget "http://$buildserver/build/rg3/youtube-dl/youtube-dl.exe?rev=$REV" -O youtube-dl.exe
mkdir -p "build/$version"
mv youtube-dl youtube-dl.exe "build/$version"
mv youtube-dl.tar.gz "build/$version/youtube-dl-$version.tar.gz"